Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77704 - rpmbuild doesn't like commas in excludearch
Summary: rpmbuild doesn't like commas in excludearch
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-12 14:21 UTC by Jens Petersen
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-21 07:44:23 UTC


Attachments (Terms of Use)

Description Jens Petersen 2002-11-12 14:21:32 UTC
Description of Problem:
rpmbuild doesn't seem to parse commas in ExcludeArch directives right.

Steps to Reproduce:
1. put "ExcludeArch: arch1, arch2" in a spec file.
2. rpmbuild on arch1
3. 

Actual Results:
I think it build on arch1 (though not on arch2 as expected).

Expected Results:
It shouldn't build on arch1 nor arch2.

Comment 1 Michael Lee Yohe 2002-11-14 18:00:13 UTC
According to http://www.rpm.org/max-rpm/s1-rpm-specref-preamble.html,
ExcludeArch requires the architectures to be delimited by spaces, not commas.

Example -
ExcludeArch: sparc alpha


Note You need to log in before you can comment on or make changes to this bug.